<template>
  <b-container class="group-operator p-0" fluid="xl">
    <b-row class="justify-content-md-center p-0" align-v="center">
      <b-col class="">
        <b-dropdown
          ref="refOperatorDropdown"
          :text="getCurrentOperatorName()"
          block
          variant="btn-none btn-sm rounded-0 strong text-indigo"
          class="m-0"
          menu-class="w-100"
        >
          <b-dropdown-item
            v-for="operator in groupOperator.operators"
            :key="operator.identifier"
            href="#"
            :value="operator.name"
            @click="selectOperator(operator.identifier)"
            ><span
              style="margin-bottom: 3px"
              class="avatar bg-indigo-lt avatar-xs p-0 ml-0 mr-1"
              ><span class="small">{{
                operator.icon.toUpperCase()
              }}</span></span
            ><span class="small mr-1">{{
              operator.description
            }}</span></b-dropdown-item
          >
        </b-dropdown>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
export default {
  props: {
    groupOperator: {
      type: Object,
      default: () => {},
    },
  },
  data() {
    return {};
  },
  methods: {
    getCurrentOperatorName() {
      const currentOpetatorName = this.groupOperator.operators.find(
        (r) => r.identifier === this.groupOperator.currentOperator
      ).name;
      return currentOpetatorName;
    },
    selectOperator(operator) {
      this.$refs.refOperatorDropdown.$el.blur();
      this.groupOperator.updateCurrentOperator(operator);
    },
  },
};
</script>

<style scoped>
::v-deep .btn:focus,
::v-deep .btn:active {
  outline: none !important;
  box-shadow: none;
}
.group-operator {
  margin-top: 0px;
  margin-bottom: 0px;
}
</style>
